Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.lyo.oslc4j.provider.jena
Class AbstractOslcRdfXmlProvider

    java.lang.Object
      org.eclipse.lyo.oslc4j.provider.jena.AbstractOslcRdfXmlProvider

Direct Known Subclasses:
  OslcCompactRdfProvider, OslcRdfXmlArrayProvider, OslcRdfXmlCollectionProvider, OslcRdfXmlProvider

    public abstract class AbstractOslcRdfXmlProvider

extends Object

Field Summary
`protected javax.servlet.http.HttpServletRequest` | `httpServletRequest`
`static String` | `OSLC4J_ALWAYS_XML_ABBREV` System property "org.eclipse.lyo.oslc4j.alwaysXMLAbbrev" : When "true", always abbreviate RDF/XML, even when asked for application/rdf+xml.
`static String` | `OSLC4J_STRICT_DATATYPES` System property "org.eclipse.lyo.oslc4j.strictDatatypes" : When "true" (default), fail on when reading a property value that is not a legal instance of a datatype.

Constructor Summary
`protected` | `AbstractOslcRdfXmlProvider()`

Method Summary
`protected javax.ws.rs.core.Response` | `buildBadRequestResponse(Exception exception, javax.ws.rs.core.MediaType initialErrorMediaType, javax.ws.rs.core.MultivaluedMap<String,?> map)`
`protected static boolean` | `isCompatible(javax.ws.rs.core.MediaType actualMediaType, javax.ws.rs.core.MediaType... requiredMediaTypes)`
`protected static boolean` | `isOslcQuery(String parmString)`
`protected static boolean` | `isReadable(Class<?> type, javax.ws.rs.core.MediaType actualMediaType, javax.ws.rs.core.MediaType... requiredMediaTypes)`
`protected static boolean` | `isWriteable(Class<?> type, Annotation[] annotations, javax.ws.rs.core.MediaType actualMediaType, javax.ws.rs.core.MediaType... requiredMediaTypes)`
`protected Object[]` | `readFrom(Class<?> type, javax.ws.rs.core.MediaType mediaType, javax.ws.rs.core.MultivaluedMap<String,String> map, InputStream inputStream)`
`protected void` | `writeTo(boolean queryResult, Object[] objects, javax.ws.rs.core.MediaType baseMediaType, javax.ws.rs.core.MultivaluedMap<String,Object> map, OutputStream outputStream)`
`protected void` | `writeTo(Object[] objects, javax.ws.rs.core.MediaType baseMediaType, javax.ws.rs.core.MultivaluedMap<String,Object> map, OutputStream outputStream, Map<String,Object> properties, String descriptionURI, String responseInfoURI, ResponseInfo<?> responseInfo)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### OSLC4J_ALWAYS_XML_ABBREV

    public static final String OSLC4J_ALWAYS_XML_ABBREV

  System property "org.eclipse.lyo.oslc4j.alwaysXMLAbbrev" : When "true", always abbreviate RDF/XML, even when asked for application/rdf+xml. Otherwise, abbreviated RDF/XML is only returned when application/xml is requested. Does not affect text/turtle responses.

  See Also:
    `RdfXmlAbbreviatedWriter`, Constant Field Values

### OSLC4J_STRICT_DATATYPES

    public static final String OSLC4J_STRICT_DATATYPES

  System property "org.eclipse.lyo.oslc4j.strictDatatypes" : When "true" (default), fail on when reading a property value that is not a legal instance of a datatype. When "false", skip over invalid values in extended properties.

  See Also:
    Constant Field Values

### httpServletRequest

    @Context
    protected javax.servlet.http.HttpServletRequest httpServletRequest

Constructor Detail

### AbstractOslcRdfXmlProvider

    protected AbstractOslcRdfXmlProvider()

Method Detail

### isWriteable

    protected static boolean isWriteable(Class<?> type,
                                         Annotation[] annotations,
                                         javax.ws.rs.core.MediaType actualMediaType,
                                         javax.ws.rs.core.MediaType... requiredMediaTypes)

### writeTo

    protected void writeTo(Object[] objects,
                           javax.ws.rs.core.MediaType baseMediaType,
                           javax.ws.rs.core.MultivaluedMap<String,Object> map,
                           OutputStream outputStream,
                           Map<String,Object> properties,
                           String descriptionURI,
                           String responseInfoURI,
                           ResponseInfo<?> responseInfo)
                    throws javax.ws.rs.WebApplicationException

  Throws:
    `javax.ws.rs.WebApplicationException`

### writeTo

    protected void writeTo(boolean queryResult,
                           Object[] objects,
                           javax.ws.rs.core.MediaType baseMediaType,
                           javax.ws.rs.core.MultivaluedMap<String,Object> map,
                           OutputStream outputStream)
                    throws javax.ws.rs.WebApplicationException

  Throws:
    `javax.ws.rs.WebApplicationException`

### isReadable

    protected static boolean isReadable(Class<?> type,
                                        javax.ws.rs.core.MediaType actualMediaType,
                                        javax.ws.rs.core.MediaType... requiredMediaTypes)

### isCompatible

    protected static boolean isCompatible(javax.ws.rs.core.MediaType actualMediaType,
                                          javax.ws.rs.core.MediaType... requiredMediaTypes)

### readFrom

    protected Object[] readFrom(Class<?> type,
                                javax.ws.rs.core.MediaType mediaType,
                                javax.ws.rs.core.MultivaluedMap<String,String> map,
                                InputStream inputStream)
                         throws javax.ws.rs.WebApplicationException

  Throws:
    `javax.ws.rs.WebApplicationException`

### buildBadRequestResponse

    protected javax.ws.rs.core.Response buildBadRequestResponse(Exception exception,
                                                                javax.ws.rs.core.MediaType initialErrorMediaType,
                                                                javax.ws.rs.core.MultivaluedMap<String,?> map)

### isOslcQuery

    protected static boolean isOslcQuery(String parmString)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2014. All Rights Reserved.